path: /build/build/rar-app-arch-5.7.1+1.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - eval 'mkdir /etc/portage/package.license -p || true' && echo 'app-arch/rar RAR'
    > /etc/portage/package.license/01-rar.license
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="all_sfx" emerge app-arch/rar -pv -t && \
    USE="all_sfx" emerge -j ${JOBS} --nodeps app-arch/rar
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/rar && luet-portage --dir /pkgdir/rar
    app-arch/rar && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:90411a010b093d7ccf05de09015f011bcc6db4c25d3fea809d17b79eb6365853
  package:
    name: rar
    version: 5.7.1+1
    category: app-arch
    use_flags:
    - all_sfx
    requires:
    - name: unrar
      version: '>=0'
      category: app-arch
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: RAR compressor/uncompressor
    uri:
    - https://rarlab.com/
    license: RAR BSD BSD-2
    buildtimestamp: 2024-02-22 08:46:38.75911616 +0000 UTC m=+73.031311107
    labels:
      DEPEND: all_sfx? ( app-arch/unrar )
      IUSE: all_sfx
      RDEPEND: sys-libs/glibc
      emerge.packages: app-arch/rar
      kit: core-kit
      original.package.name: app-arch/rar
      original.package.slot: "0"
      original.package.version: 5.7.1_p20190427
    treedir: /build/packages
  package_dir: /pkgdir/rar
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: f877704f4bc49480a0cb425f6e797d967ed7aa84f149b45326b12991bc0b2e8f
compressiontype: zstd
files:
- opt/bin/rar
- opt/bin/unrar
- opt/rar/WinCon.SFX
- opt/rar/WinCon64.SFX
- opt/rar/Zip.SFX
- opt/rar/Zip64.SFX
- opt/rar/default-elf32.sfx
- opt/rar/default-elf64.sfx
- opt/rar/default-win32.sfx
- opt/rar/default-win64.sfx
- opt/rar/rar
- opt/rar/rarfiles.lst
- opt/rar/unrar
- usr/share/doc/rar-5.7.1_p20190427/acknow.txt.bz2
- usr/share/doc/rar-5.7.1_p20190427/rar.txt.bz2
- usr/share/doc/rar-5.7.1_p20190427/readme.txt.bz2
- usr/share/doc/rar-5.7.1_p20190427/whatsnew.txt.bz2
- var/db/pkg/app-arch/rar-5.7.1_p20190427/BUILD_TIME
- var/db/pkg/app-arch/rar-5.7.1_p20190427/CATEGORY
- var/db/pkg/app-arch/rar-5.7.1_p20190427/CBUILD
- var/db/pkg/app-arch/rar-5.7.1_p20190427/CFLAGS
- var/db/pkg/app-arch/rar-5.7.1_p20190427/CHOST
- var/db/pkg/app-arch/rar-5.7.1_p20190427/CONTENTS
- var/db/pkg/app-arch/rar-5.7.1_p20190427/COUNTER
- var/db/pkg/app-arch/rar-5.7.1_p20190427/CXXFLAGS
- var/db/pkg/app-arch/rar-5.7.1_p20190427/DEFINED_PHASES
- var/db/pkg/app-arch/rar-5.7.1_p20190427/DEPEND
- var/db/pkg/app-arch/rar-5.7.1_p20190427/DESCRIPTION
- var/db/pkg/app-arch/rar-5.7.1_p20190427/EAPI
- var/db/pkg/app-arch/rar-5.7.1_p20190427/FEATURES
- var/db/pkg/app-arch/rar-5.7.1_p20190427/HOMEPAGE
- var/db/pkg/app-arch/rar-5.7.1_p20190427/IUSE
- var/db/pkg/app-arch/rar-5.7.1_p20190427/IUSE_EFFECTIVE
- var/db/pkg/app-arch/rar-5.7.1_p20190427/KEYWORDS
- var/db/pkg/app-arch/rar-5.7.1_p20190427/LDFLAGS
- var/db/pkg/app-arch/rar-5.7.1_p20190427/LICENSE
- var/db/pkg/app-arch/rar-5.7.1_p20190427/NEEDED
- var/db/pkg/app-arch/rar-5.7.1_p20190427/PF
- var/db/pkg/app-arch/rar-5.7.1_p20190427/RDEPEND
- var/db/pkg/app-arch/rar-5.7.1_p20190427/REQUIRES
- var/db/pkg/app-arch/rar-5.7.1_p20190427/RESTRICT
- var/db/pkg/app-arch/rar-5.7.1_p20190427/SIZE
- var/db/pkg/app-arch/rar-5.7.1_p20190427/SLOT
- var/db/pkg/app-arch/rar-5.7.1_p20190427/USE
- var/db/pkg/app-arch/rar-5.7.1_p20190427/environment.bz2
- var/db/pkg/app-arch/rar-5.7.1_p20190427/rar-5.7.1_p20190427.ebuild
- var/db/pkg/app-arch/rar-5.7.1_p20190427/repository
package_cacheimage: ""
runtime:
  name: rar
  version: 5.7.1+1
  category: app-arch
  use_flags:
  - all_sfx
  requires:
  - name: glibc
    version: '>=0'
    category: sys-libs-2.2
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: RAR compressor/uncompressor
  uri:
  - https://rarlab.com/
  license: RAR BSD BSD-2
  labels:
    DEPEND: all_sfx? ( app-arch/unrar )
    IUSE: all_sfx
    RDEPEND: sys-libs/glibc
    emerge.packages: app-arch/rar
    kit: core-kit
    original.package.name: app-arch/rar
    original.package.slot: "0"
    original.package.version: 5.7.1_p20190427
